//
//  PostFull.m
//  HabraClient Demo App
//
//  Created by Орлов Александр on 21.07.13.
//  Copyright (c) 2013 Orlov Alexander. All rights reserved.
//

#import "PostFull.h"

@implementation PostFull
@synthesize postBodyText, postCommentaries;

- (NSString *)description
{
    NSString *descriptionString = @"";
    
    descriptionString = [descriptionString stringByAppendingString:[NSString stringWithFormat:@"Title: %@\n",title]];
    descriptionString = [descriptionString stringByAppendingString:[NSString stringWithFormat:@"URL: %@\n",url]];
    descriptionString = [descriptionString stringByAppendingString:[NSString stringWithFormat:@"Preview HTML: %@\n",preview]];
    descriptionString = [descriptionString stringByAppendingString:[NSString stringWithFormat:@"Date: %@\n",date]];
    descriptionString = [descriptionString stringByAppendingString:[NSString stringWithFormat:@"Hubs: %@\n",tags]];
    descriptionString = [descriptionString stringByAppendingString:[NSString stringWithFormat:@"Rating: %@\n",rating]];
    descriptionString = [descriptionString stringByAppendingString:[NSString stringWithFormat:@"Views count: %@\n",views]];
    descriptionString = [descriptionString stringByAppendingString:[NSString stringWithFormat:@"Adds to favorites count: %@\n",favAdds]];
    descriptionString = [descriptionString stringByAppendingString:[NSString stringWithFormat:@"Comments count: %@\n",comments]];
    descriptionString = [descriptionString stringByAppendingString:[NSString stringWithFormat:@"Author: %@\n",author]];
    
    if (isTutorial)
    {
        descriptionString = [descriptionString stringByAppendingString:@"It is Tutorial\n"];
    }
    
    if (isRecoveryMode)
    {
        descriptionString = [descriptionString stringByAppendingString:@"It is Recovery Mode\n"];
    }
    
    if (isTranslate)
    {
        descriptionString = [descriptionString stringByAppendingString:@"It is Translate\n"];
    }
    
    descriptionString = [descriptionString stringByAppendingString:[NSString stringWithFormat:@"Body HTML: %@\n",[postBodyText description]]];
    descriptionString = [descriptionString stringByAppendingString:[NSString stringWithFormat:@"Commentaries: %@\n",[postCommentaries description]]];
    
    return descriptionString;
}

@end
