//
//  QuestionFull.m
//  OAHabraManager
//
//  Created by Orlov Alexander on 01.05.13.
//  Copyright (c) 2013 Orlov Alexander. All rights reserved.
//

#import "QuestionFull.h"

@implementation QuestionFull
@synthesize questionBodyText, questionAnswers;

- (NSString *)description
{
    NSString *descriptionString = @"";
    
    descriptionString = [descriptionString stringByAppendingString:[NSString stringWithFormat:@"Title: %@\n",title]];
    descriptionString = [descriptionString stringByAppendingString:[NSString stringWithFormat:@"URL: %@\n",url]];
    descriptionString = [descriptionString stringByAppendingString:[NSString stringWithFormat:@"Date: %@\n",date]];
    descriptionString = [descriptionString stringByAppendingString:[NSString stringWithFormat:@"Hubs: %@\n",tags]];
    descriptionString = [descriptionString stringByAppendingString:[NSString stringWithFormat:@"Rating: %@\n",rating]];
    descriptionString = [descriptionString stringByAppendingString:[NSString stringWithFormat:@"Views count: %@\n",views]];
    descriptionString = [descriptionString stringByAppendingString:[NSString stringWithFormat:@"Adds to favorites count: %@\n",favAdds]];
    descriptionString = [descriptionString stringByAppendingString:[NSString stringWithFormat:@"Answers count: %@\n",answers]];
    descriptionString = [descriptionString stringByAppendingString:[NSString stringWithFormat:@"Author: %@\n",author]];
    //
    descriptionString = [descriptionString stringByAppendingString:[NSString stringWithFormat:@"HTML body: %@\n",questionBodyText]];
    descriptionString = [descriptionString stringByAppendingString:[NSString stringWithFormat:@"Answers: %@\n",[questionAnswers description]]];
    
    return descriptionString;
}

@end
